Module com.io7m.jregions.core
Package com.io7m.jregions.core.parameterized.areas

## Class PAreaXYSplitF<S,T extends PAreaFType<S>>

- java.lang.Object
- - com.io7m.jregions.core.parameterized.areas.PAreaXYSplitF<S,T>

- Type Parameters:
    `S` - A phantom type parameter indicating the coordinate space of the area
    `T` - The precise type of area
  All Implemented Interfaces:
    `PAreaXYSplitFType<S,T>`

      public final class PAreaXYSplitF<S,T extends PAreaFType<S>>
      extends java.lang.Object
      implements PAreaXYSplitFType<S,T>

  An area that has been split into quadrants via an X and Y axis.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PAreaXYSplitF.Builder<S,T extends PAreaFType<S>>` | Builds instances of type `PAreaXYSplitF`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <S,T extends PAreaFType<S>> PAreaXYSplitF.Builder<S,T>` | `builder​()` | Creates a builder for `PAreaXYSplitF`.
    `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `PAreaXYSplitF` that have equal attribute values.
    `int` | `hashCode​()` | Computes a hash code from attributes: `x0y0`, `x1y0`, `x0y1`, `x1y1`.
    `static <S,T extends PAreaFType<S>> PAreaXYSplitF<S,T>` | `of​(T x0y0, T x1y0, T x0y1, T x1y1)` | Construct a new immutable `PAreaXYSplitF` instance.
    `java.lang.String` | `toString​()` | Prints the immutable value `PAreaXYSplitF` with attribute values.
    `T` | `x0y0​()` |
    `T` | `x0y1​()` |
    `T` | `x1y0​()` |
    `T` | `x1y1​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### x0y0

          public T x0y0​()

      Specified by:
        `x0y0` in interface `PAreaXYSplitFType<S,T extends PAreaFType<S>>`
      Returns:
        The minimum X, minimum Y quadrant

    - #### x1y0

          public T x1y0​()

      Specified by:
        `x1y0` in interface `PAreaXYSplitFType<S,T extends PAreaFType<S>>`
      Returns:
        The maximum X, minimum Y quadrant

    - #### x0y1

          public T x0y1​()

      Specified by:
        `x0y1` in interface `PAreaXYSplitFType<S,T extends PAreaFType<S>>`
      Returns:
        The minimum X, maximum Y quadrant

    - #### x1y1

          public T x1y1​()

      Specified by:
        `x1y1` in interface `PAreaXYSplitFType<S,T extends PAreaFType<S>>`
      Returns:
        The maximum X, maximum Y quadrant

    - #### equals

          public boolean equals​(java.lang.Object another)

      This instance is equal to all instances of `PAreaXYSplitF` that have equal attribute values.
      Overrides:
        `equals` in class `java.lang.Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode​()

      Computes a hash code from attributes: `x0y0`, `x1y0`, `x0y1`, `x1y1`.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        hashCode value

    - #### toString

          public java.lang.String toString​()

      Prints the immutable value `PAreaXYSplitF` with attribute values.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A string representation of the value

    - #### of

          public static <S,T extends PAreaFType<S>> PAreaXYSplitF<S,T> of​(T x0y0,
                                                                          T x1y0,
                                                                          T x0y1,
                                                                          T x1y1)

      Construct a new immutable `PAreaXYSplitF` instance.
      Parameters:
        `x0y0` - The value for the `x0y0` attribute
        `x1y0` - The value for the `x1y0` attribute
        `x0y1` - The value for the `x0y1` attribute
        `x1y1` - The value for the `x1y1` attribute
      Returns:
        An immutable PAreaXYSplitF instance

    - #### builder

          public static <S,T extends PAreaFType<S>> PAreaXYSplitF.Builder<S,T> builder​()

      Creates a builder for `PAreaXYSplitF`.
      Type Parameters:
        `S` - generic parameter S
        `T` - generic parameter T
      Returns:
        A new PAreaXYSplitF builder

Copyright © 2017 <code@io7m.com> http://io7m.com